Package: org.grails.validation

## [Java] Class CreditCardConstraint

- org.grails.validation.CreditCardConstraint

- Validates a credit card number.

  deprecated:
    Replaced by org.grails.datastore.gorm.validation.constraints.CreditCardConstraint
  Authors:
    Graeme Rocher
  Since:
    0.4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractConstraint` | `classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getName()`
    `` | `protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
    `` | `void` | `setParameter(java.lang.Object constraintParameter)`
    `` | `boolean` | `supports(java.lang.Class type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractConstraint` | `checkState, getDefaultMessage, getParameter, getPropertyName, isValid, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.String getName()

    - #### @java.lang.Override protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

    - #### @java.lang.Override public void setParameter(java.lang.Object constraintParameter)

    - #### @java.lang.SuppressWarnings("rawtypes") public boolean supports(java.lang.Class type)